[algosdk](../README.md) / [Exports](../modules.md) / ABIContractParams

# Interface: ABIContractParams

## Table of contents

### Properties

- [desc](ABIContractParams.md#desc)
- [events](ABIContractParams.md#events)
- [methods](ABIContractParams.md#methods)
- [name](ABIContractParams.md#name)
- [networks](ABIContractParams.md#networks)

## Properties

### desc

• `Optional` **desc**: `string`

#### Defined in

abi/contract.ts:14

___

### events

• `Optional` **events**: `ARC28Event`[]

#### Defined in

abi/contract.ts:17

___

### methods

• **methods**: [`ABIMethodParams`](ABIMethodParams.md)[]

#### Defined in

abi/contract.ts:16

___

### name

• **name**: `string`

#### Defined in

abi/contract.ts:13

___

### networks

• `Optional` **networks**: [`ABIContractNetworks`](ABIContractNetworks.md)

#### Defined in

abi/contract.ts:15
